---
updatedAt: 2025-09-24T00:05:35.000Z
agentTools:
  projectIndex: https://docs.bridgeapi.io/v2021.06.01/llms.txt
---

# Get an item's refresh status

Retrieve the refresh status of an item.

> 📘 User resource
>
> This resource is only accessible when a user is logged in.

## ITEM STATUS JSON

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        Field
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        `status`
        *string*
      </td>

      <td>
        Item's refresh status.
      </td>
    </tr>

    <tr>
      <td>
        `mfa`\
        *mfa object*
      </td>

      <td>
        Information to display to the client when the bank requires a Strong Customer Authentication (SCA).

        This information is only available when the `status` is `info_required`.\
        See object definition below.
      </td>
    </tr>

    <tr>
      <td>
        `refreshed_at`\
        *timestamp*
      </td>

      <td>
        Timestamp recording when the item was refreshed.
      </td>
    </tr>

    <tr>
      <td>
        `refreshed_accounts_count`\
        *integer*
      </td>

      <td>
        Count how many accounts of the item have been refreshed.

        This information is only available when the `status` is `retreiving_data`.
      </td>
    </tr>

    <tr>
      <td>
        `total_accounts_count`\
        *integer*
      </td>

      <td>
        Count the total number of accounts in the item.

        This information is only available when the `status` is `retreiving_data`.
      </td>
    </tr>
  </tbody>
</Table>

## MFA JSON

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>

      </th>

      <th>

      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        `type`
        *string*
      </td>

      <td>
        The MFA type can be a One Time Password (`SMS`) or an App to App validation (`APP_TO_APP`). By default the value is `null`.
      </td>
    </tr>

    <tr>
      <td>
        `description`\
        *string*
      </td>

      <td>
        Message to display to the user.
      </td>
    </tr>

    <tr>
      <td>
        `label`\
        *string*
      </td>

      <td>
        Message to display to the user by default if we don't have the `description` from the bank.
      </td>
    </tr>

    <tr>
      <td>
        `is_numeric`\
        *boolean*
      </td>

      <td>
        True if the OTP is numeric (0-9) only.
      </td>
    </tr>
  </tbody>
</Table>

## LIST OF REFRESH STATUS

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        Status
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        `authenticating`
      </td>

      <td>
        The item is connecting to the bank.
      </td>
    </tr>

    <tr>
      <td>
        `retrieving_data`
      </td>

      <td>
        `refreshed_accounts_count` and `total_accounts_count` will indicate the progression of the refresh.
      </td>
    </tr>

    <tr>
      <td>
        `info_required`
      </td>

      <td>
        Connector requires a One Time Password (OTP) or an app to app validation.
      </td>
    </tr>

    <tr>
      <td>
        `finished`
      </td>

      <td>
        Refresh process is done. All data are up to date and available.
      </td>
    </tr>

    <tr>
      <td>
        `invalid_creds`
      </td>

      <td>
        Provided credentials are invalid.\
        Corresponding's item status is 402.
      </td>
    </tr>

    <tr>
      <td>
        `finished_error`
      </td>

      <td>
        An error occurred while refreshing the item. Check its status (429, 1003, ...).
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "v2021-06-01",
    "version": "2021.06.01"
  },
  "servers": [
    {
      "url": "https://api.bridgeapi.io/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Secret"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/items/{id}/refresh/status": {
      "get": {
        "summary": "Get an item's refresh status",
        "description": "Retrieve the refresh status of an item.",
        "operationId": "get-a-refresh-status",
        "parameters": [
          {
            "name": "Client-Id",
            "in": "header",
            "description": "Application's client id.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Client-Secret",
            "in": "header",
            "description": "Application's client secret.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "description": "Secret access token.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "Item id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"status\": \"finished\",\n  \"refreshed_at\": \"2019-04-06T09:19:15Z\",\n  \"mfa\": null,\n  \"refreshed_accounts_count\": null,\n  \"total_accounts_count\": null\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "finished"
                    },
                    "refreshed_at": {
                      "type": "string",
                      "example": "2019-04-06T09:19:15Z"
                    },
                    "mfa": {},
                    "refreshed_accounts_count": {},
                    "total_accounts_count": {}
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl 'https://api.bridgeapi.io/v2/items/123456/refresh/status' \\\n\t-X GET \\\n\t-H 'Bridge-Version: 2021-06-01' \\\n\t-H 'Client-Id: MY_CLIENT_ID' \\\n\t-H 'Client-Secret: MY_CLIENT_SECRET' \\\n\t-H 'Authorization: Bearer TOP_SECRET_ACCESS_TOKEN'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Bridge-Version",
        "value": "2021-06-01"
      }
    ],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```